---
title: '`glab user events`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

View user events.

## Synopsis

By default, lists events for the current project. Use `--all` to
include events from every project you can access.

```plaintext
glab user events [flags]
```

## Examples

```console
glab user events
glab user events --all
glab user events -F json
```

## Options

```plaintext
  -a, --all             Get events from all projects.
      --jq string       Filter JSON output with a jq expression.
  -F, --output string   Format output as: 'text', 'json'. (default "text")
  -p, --page int        Page number. (default 1)
  -P, --per-page int    Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
